﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASTAX_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_PROCESS_TYPE' AND KSQL_COL_NAME ='FPROCESSTYPE') 
 ALTER TABLE T_BASTAX_PROCESS_TYPE ADD (FPROCESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_PROCESS_TYPE' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_BASTAX_PROCESS_TYPE ADD (FDATASOURCE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_TAXCODE_DETAILS') 
 CREATE TABLE T_BASTAX_TAXCODE_DETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULT BIGINT DEFAULT 0 NOT NULL,
FVALUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUESOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FDECIMALPRECISION BIGINT DEFAULT 0 NOT NULL,
FVALUEDECIMAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXCODE' AND KSQL_COL_NAME ='FTAXATIONSYS') 
 ALTER TABLE T_BASTAX_TAXCODE ADD (FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXCODE' AND KSQL_COL_NAME ='FTAXAREAGROUP') 
 ALTER TABLE T_BASTAX_TAXCODE ADD (FTAXAREAGROUP BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXCODE' AND KSQL_COL_NAME ='FOFFSETTAX') 
 ALTER TABLE T_BASTAX_TAXCODE ADD (FOFFSETTAX CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXCODE' AND KSQL_COL_NAME ='FIMPACTCOST') 
 ALTER TABLE T_BASTAX_TAXCODE ADD (FIMPACTCOST CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXCODE' AND KSQL_COL_NAME ='FDEDUCTIBLE') 
ALTER TABLE T_BASTAX_TAXCODE ADD (FDEDUCTIBLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_CODE_DETAILSTYPE') 
 CREATE TABLE T_BASTAX_CODE_DETAILSTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_CODE_DETAILSTYPE_L') 
 CREATE TABLE T_BASTAX_CODE_DETAILSTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASTAX_table.sql **/
